object = new Array()
function disp(zis,obj,dH,Z){
	with(zis){
		with(obj){
			if(Z>0){
				style.top=-dH+sh/2-Z/Zy
				style.fontSize=Z
				style.zIndex=-Z
				style.color="RGB("+((cR*sw-Z)*cR)+","+((cG*sw-Z)*cG)+","+((cB*sw-Z)*cB)+")"
			}
			Z+=1+Math.abs(Z/10)
			if(Z>sw*4){
				Z=0
				style.fontSize=0
				innerHTML=MT[PM]
				PM=(PM+1)%NM
			}
			return Z
		}
	}
}

function zOOm(){
	with (this) {
		with(BKG.style){
			pixelLeft-=2
			pixelWidth+=4
			if(pixelLeft<-pixelWidth/4){
				BKG.src=images.children[++IP].src
				if(IP>=images.children.length-1)IP=-1
				left=sw
				width=0
			}
		}
		Z1=disp(this,obj1,0,Z1)
		Z2=disp(this,obj2,100000,Z2)
		Z3=disp(this,obj3,200000,Z3)
		setTimeout(sto,32)
	}
}

function CObj(N,obj,cR,cG,cB,Zbkg,Zy){
	codeHTML="<DIV style='overflow:hidden;position:absolute;width:"+obj.style.pixelWidth+";height:"+obj.style.pixelHeight+"'><img src='"+images.children[0].src+"' style='position:absolute;z-index:-1000;left="+Math.round(obj.style.pixelWidth/2)+";top=0;height="+obj.style.pixelHeight+";width=0'></DIV>"
	codeHTML+="<DIV style='FILTER:alpha(opacity=50);overflow:hidden;position:relative;width:"+obj.style.pixelWidth+";height:"+obj.style.pixelHeight+";font-family:Verdana;font-weight:bold'>"
	this.N = N
	this.sw=obj.style.pixelWidth/2
	this.sh=obj.style.pixelHeight
	this.cR=cR
	this.cG=cG
	this.cB=cB
	this.Z1=40
	this.Z2=0
	this.Z3=-40
	this.IP=0
	this.Zy=Zy
	this.PM=0
	this.MT = Zbkg.split(" ")
	this.NM = this.MT.length
	o="<DIV style='position:relative;height:100000;top:-1000;text-align:center;z-index:-1'></DIV>"
	codeHTML+="<DIV style='position:absolute;left="+(-50000+this.sw)+";width:100000'>"+o+o+o+"</DIV></DIV>"
	obj.insertAdjacentHTML("AfterBegin",codeHTML)
	this.obj1=obj.children[1].children[0].children[0]
	this.obj2=obj.children[1].children[0].children[1]
	this.obj3=obj.children[1].children[0].children[2]
	this.sto="object["+N+"].zOOm()"
	this.zOOm=zOOm
	this.BKG=obj.children[0].children[0]
	setTimeout(this.sto,64)
}

function zyva(){
	object[0] = new CObj(0,PREVIEW,0.8,1,2,"Universo MOLÉCULA     Disposición del devenir    El ritmo es la abstracción     y la cadencia la ofrece la mente     IMAGINACIÓN    ABSURDO      Nada que perder     ADELANTE   ",1.5)
}